accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ctubb...@apache.org
Subject [accumulo] branch 1.7 updated: ACCUMULO-4817 Update build plugins and parent POM
Date Fri, 16 Feb 2018 04:55:58 GMT
This is an automated email from the ASF dual-hosted git repository.

ctubbsii pushed a commit to branch 1.7
in repository https://gitbox.apache.org/repos/asf/accumulo.git


The following commit(s) were added to refs/heads/1.7 by this push:
     new 4e91215  ACCUMULO-4817 Update build plugins and parent POM
4e91215 is described below

commit 4e91215f101362ef206e9f213b4d8d12b3f6e0e2
Author: Christopher Tubbs <ctubbsii@apache.org>
AuthorDate: Thu Feb 15 22:01:56 2018 -0500

    ACCUMULO-4817 Update build plugins and parent POM
    
    * Use Apache 19 parent POM
    * Remove invalid/broken javadoc elements (specifically, invalid @author tags)
    * Update configuration for newer plugins
      ** Exclude leaking Exceptions in public API caught by apilyzer
      ** Use Collections.emptySet() over Collections.EMPTY_SET caught by modernizer
      ** Use html5 backend over html backend for asciidoctor
    * Move Maven prerequisites element from top-level POM to maven-plugin POM
    * Sort modules section of POM for readability
    * Drop posix config for assembly plugin (redundant with parent POM)
    * Add comments related to plugins which require JDK8+
---
 core/pom.xml                                       |  7 ++
 .../org/apache/accumulo/core/util/HostAndPort.java |  2 -
 .../iterators/FirstEntryInRowIteratorTest.java     |  4 +-
 docs/pom.xml                                       |  2 +-
 .../apache/accumulo/fate/util/UtilWaitThread.java  |  2 -
 maven-plugin/pom.xml                               |  3 +
 pom.xml                                            | 76 +++++++++++-----------
 7 files changed, 50 insertions(+), 46 deletions(-)

diff --git a/core/pom.xml b/core/pom.xml
index 464c725..00e3aa3 100644
--- a/core/pom.xml
+++ b/core/pom.xml
@@ -199,6 +199,7 @@
 		     bring in many types from apache commons.  Added these two
 		     types instead of all of the types they reference.-->
                 <allow>org[.]apache[.]commons[.]configuration[.]Configuration</allow>
+                <allow>org[.]apache[.]commons[.]configuration[.]ConfigurationException</allow>
                 <allow>org[.]apache[.]commons[.]configuration[.]AbstractConfiguration</allow>
                 <allow>org[.]apache[.]commons[.]configuration[.]event[.]EventSource</allow>
                 <!--Type from hadoop used in API.  If adding a new type from
@@ -212,6 +213,12 @@
                 <allow>org[.]apache[.]hadoop[.]util[.]Progressable</allow>
                 <!--ugghhh-->
                 <allow>org[.]apache[.]log4j[.](Level|Logger)</allow>
+                <!-- allow javax security exceptions for Authentication tokens -->
+                <allow>javax[.]security[.]auth[.]DestroyFailedException</allow>
+                <!-- allow questionable Hadoop exceptions for mapreduce -->
+                <allow>org[.]apache[.]hadoop[.]mapred[.](FileAlreadyExistsException|InvalidJobConfException)</allow>
+                <!-- allow lexicoders to throw iterator exceptions -->
+                <allow>org[.]apache[.]accumulo[.]core[.]iterators[.]ValueFormatException</allow>
               </allows>
             </configuration>
           </execution>
diff --git a/core/src/main/java/org/apache/accumulo/core/util/HostAndPort.java b/core/src/main/java/org/apache/accumulo/core/util/HostAndPort.java
index 59cb652..dad01c7 100644
--- a/core/src/main/java/org/apache/accumulo/core/util/HostAndPort.java
+++ b/core/src/main/java/org/apache/accumulo/core/util/HostAndPort.java
@@ -56,8 +56,6 @@ import com.google.common.base.Strings;
  * Note that this is not an exhaustive list, because these methods are only concerned with
brackets, colons, and port numbers. Full validation of the host field
  * (if desired) is the caller's responsibility.
  *
- * @author Paul Marks
- * @since 10.0
  */
 
 public final class HostAndPort implements Serializable {
diff --git a/core/src/test/java/org/apache/accumulo/core/iterators/FirstEntryInRowIteratorTest.java
b/core/src/test/java/org/apache/accumulo/core/iterators/FirstEntryInRowIteratorTest.java
index 53c7abb..4b1cd80 100644
--- a/core/src/test/java/org/apache/accumulo/core/iterators/FirstEntryInRowIteratorTest.java
+++ b/core/src/test/java/org/apache/accumulo/core/iterators/FirstEntryInRowIteratorTest.java
@@ -23,6 +23,7 @@ import java.util.Collections;
 import java.util.TreeMap;
 
 import org.apache.accumulo.core.conf.AccumuloConfiguration;
+import org.apache.accumulo.core.data.ByteSequence;
 import org.apache.accumulo.core.data.Key;
 import org.apache.accumulo.core.data.PartialKey;
 import org.apache.accumulo.core.data.Range;
@@ -34,7 +35,6 @@ import org.junit.Test;
 
 public class FirstEntryInRowIteratorTest {
 
-  @SuppressWarnings("unchecked")
   private static long process(TreeMap<Key,Value> sourceMap, TreeMap<Key,Value>
resultMap, Range range, int numScans) throws IOException {
     org.apache.accumulo.core.iterators.SortedMapIterator source = new SortedMapIterator(sourceMap);
     CountingIterator counter = new CountingIterator(source);
@@ -74,7 +74,7 @@ public class FirstEntryInRowIteratorTest {
 
     feiri.init(counter, Collections.singletonMap(FirstEntryInRowIterator.NUM_SCANS_STRING_NAME,
Integer.toString(numScans)), env);
 
-    feiri.seek(range, Collections.EMPTY_SET, false);
+    feiri.seek(range, Collections.<ByteSequence> emptySet(), false);
     while (feiri.hasTop()) {
       resultMap.put(feiri.getTopKey(), feiri.getTopValue());
       feiri.next();
diff --git a/docs/pom.xml b/docs/pom.xml
index d7a4715..d18c223 100644
--- a/docs/pom.xml
+++ b/docs/pom.xml
@@ -66,7 +66,7 @@
         <groupId>org.asciidoctor</groupId>
         <artifactId>asciidoctor-maven-plugin</artifactId>
         <configuration>
-          <backend>html</backend>
+          <backend>html5</backend>
           <doctype>book</doctype>
           <embedAssets>true</embedAssets>
           <imagesDir>${project.build.directory}/asciidoc/images</imagesDir>
diff --git a/fate/src/main/java/org/apache/accumulo/fate/util/UtilWaitThread.java b/fate/src/main/java/org/apache/accumulo/fate/util/UtilWaitThread.java
index 8a14ded..695982a 100644
--- a/fate/src/main/java/org/apache/accumulo/fate/util/UtilWaitThread.java
+++ b/fate/src/main/java/org/apache/accumulo/fate/util/UtilWaitThread.java
@@ -41,8 +41,6 @@ public class UtilWaitThread {
    * Utilities for treating interruptible operations as uninterruptible. In all cases, if
a thread is interrupted during such a call, the call continues to
    * block until the result is available or the timeout elapses, and only then re-interrupts
the thread.
    *
-   * @author Anthony Zana
-   * @since 10.0
    */
   public static void sleepUninterruptibly(long sleepFor, TimeUnit unit) {
     boolean interrupted = false;
diff --git a/maven-plugin/pom.xml b/maven-plugin/pom.xml
index ca2cc3b..83f22f0 100644
--- a/maven-plugin/pom.xml
+++ b/maven-plugin/pom.xml
@@ -26,6 +26,9 @@
   <packaging>maven-plugin</packaging>
   <name>Apache Accumulo Maven Plugin</name>
   <description>An Apache Maven plugin for testing software against a test Apache Accumulo
instance.</description>
+  <prerequisites>
+    <maven>${maven.plugin-version}</maven>
+  </prerequisites>
   <dependencies>
     <dependency>
       <groupId>commons-io</groupId>
diff --git a/pom.xml b/pom.xml
index 216cdf5..751ca6c 100644
--- a/pom.xml
+++ b/pom.xml
@@ -20,7 +20,7 @@
   <parent>
     <groupId>org.apache</groupId>
     <artifactId>apache</artifactId>
-    <version>18</version>
+    <version>19</version>
   </parent>
   <groupId>org.apache.accumulo</groupId>
   <artifactId>accumulo-project</artifactId>
@@ -76,22 +76,15 @@
       <archive>https://lists.apache.org/list.html?notifications@accumulo.apache.org</archive>
     </mailingList>
   </mailingLists>
-  <prerequisites>
-    <maven>${maven.min-version}</maven>
-  </prerequisites>
   <modules>
-    <module>trace</module>
-    <module>core</module>
-    <module>shell</module>
-    <module>fate</module>
-    <module>start</module>
-    <module>examples/simple</module>
     <module>assemble</module>
-    <module>proxy</module>
-    <module>test</module>
-    <module>minicluster</module>
+    <module>core</module>
     <module>docs</module>
+    <module>examples/simple</module>
+    <module>fate</module>
     <module>maven-plugin</module>
+    <module>minicluster</module>
+    <module>proxy</module>
     <module>server/base</module>
     <module>server/gc</module>
     <module>server/master</module>
@@ -99,6 +92,10 @@
     <module>server/native</module>
     <module>server/tracer</module>
     <module>server/tserver</module>
+    <module>shell</module>
+    <module>start</module>
+    <module>test</module>
+    <module>trace</module>
   </modules>
   <scm>
     <connection>scm:git:https://gitbox.apache.org/repos/asf/accumulo.git</connection>
@@ -112,22 +109,20 @@
   </issueManagement>
   <ciManagement>
     <system>Apache Jenkins</system>
-    <url>https://builds.apache.org/view/A-D/view/Accumulo/</url>
+    <url>https://builds.apache.org/view/A/view/Accumulo/</url>
   </ciManagement>
   <properties>
     <!-- used for filtering the java source with the current version -->
     <accumulo.release.version>${project.version}</accumulo.release.version>
-    <assembly.tarLongFileMode>posix</assembly.tarLongFileMode>
     <!-- bouncycastle version for test dependencies -->
-    <bouncycastle.version>1.50</bouncycastle.version>
+    <bouncycastle.version>1.59</bouncycastle.version>
     <!-- relative path for Eclipse format; should override in child modules if necessary
-->
     <eclipseFormatterStyle>${project.parent.basedir}/contrib/Eclipse-Accumulo-Codestyle.xml</eclipseFormatterStyle>
     <!-- extra release args for testing -->
     <extraReleaseArgs />
     <failsafe.excludedGroups />
     <failsafe.groups />
-    <!-- findbugs-maven-plugin won't work on jdk8 or later; set to 3.0.0 or newer -->
-    <findbugs.version>3.0.3</findbugs.version>
+    <findbugs.version>3.0.5</findbugs.version>
     <!-- surefire/failsafe plugin option -->
     <forkCount>1</forkCount>
     <!-- overwritten in hadoop profiles -->
@@ -138,11 +133,10 @@
     <jetty.version>9.1.5.v20140505</jetty.version>
     <maven.compiler.source>1.7</maven.compiler.source>
     <maven.compiler.target>1.7</maven.compiler.target>
-    <!-- the maven-release-plugin makes this recommendation, due to plugin bugs -->
-    <maven.min-version>3.0.5</maven.min-version>
+    <maven.plugin-version>3.0.5</maven.plugin-version>
     <!-- surefire/failsafe plugin option -->
     <maven.test.redirectTestOutputToFile>true</maven.test.redirectTestOutputToFile>
-    <powermock.version>1.6.4</powermock.version>
+    <powermock.version>1.6.6</powermock.version>
     <!-- surefire/failsafe plugin option -->
     <reuseForks>false</reuseForks>
     <sealJars>false</sealJars>
@@ -407,22 +401,22 @@
       <dependency>
         <groupId>org.apache.maven</groupId>
         <artifactId>maven-artifact</artifactId>
-        <version>${maven.min-version}</version>
+        <version>${maven.plugin-version}</version>
       </dependency>
       <dependency>
         <groupId>org.apache.maven</groupId>
         <artifactId>maven-core</artifactId>
-        <version>${maven.min-version}</version>
+        <version>${maven.plugin-version}</version>
       </dependency>
       <dependency>
         <groupId>org.apache.maven</groupId>
         <artifactId>maven-model</artifactId>
-        <version>${maven.min-version}</version>
+        <version>${maven.plugin-version}</version>
       </dependency>
       <dependency>
         <groupId>org.apache.maven</groupId>
         <artifactId>maven-plugin-api</artifactId>
-        <version>${maven.min-version}</version>
+        <version>${maven.plugin-version}</version>
       </dependency>
       <dependency>
         <groupId>org.apache.maven.plugin-tools</groupId>
@@ -538,12 +532,12 @@
         <plugin>
           <groupId>org.codehaus.mojo</groupId>
           <artifactId>versions-maven-plugin</artifactId>
-          <version>2.2</version>
+          <version>2.5</version>
         </plugin>
         <plugin>
           <groupId>org.gaul</groupId>
           <artifactId>modernizer-maven-plugin</artifactId>
-          <version>1.4.0</version>
+          <version>1.6.0</version>
           <configuration>
             <javaVersion>${maven.compiler.target}</javaVersion>
           </configuration>
@@ -563,11 +557,12 @@
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-checkstyle-plugin</artifactId>
-          <version>2.17</version>
+          <version>3.0.0</version>
         </plugin>
         <plugin>
           <groupId>com.github.ekryd.sortpom</groupId>
           <artifactId>sortpom-maven-plugin</artifactId>
+          <!-- version 2.4.0 is the last version which supports Java 7 -->
           <version>2.4.0</version>
           <configuration>
             <predefinedSortOrder>recommended_2008_06</predefinedSortOrder>
@@ -583,7 +578,7 @@
         <plugin>
           <groupId>com.github.koraktor</groupId>
           <artifactId>mavanagaiata</artifactId>
-          <version>0.7.2</version>
+          <version>0.8.2</version>
           <configuration>
             <skipNoGit>true</skipNoGit>
           </configuration>
@@ -596,7 +591,7 @@
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-changes-plugin</artifactId>
-          <version>2.12</version>
+          <version>2.12.1</version>
           <configuration>
             <issueManagementSystems>
               <issueManagementSystem>JIRA</issueManagementSystem>
@@ -706,12 +701,12 @@
         <plugin>
           <groupId>org.asciidoctor</groupId>
           <artifactId>asciidoctor-maven-plugin</artifactId>
-          <version>1.5.2</version>
+          <version>1.5.6</version>
         </plugin>
         <plugin>
           <groupId>org.codehaus.mojo</groupId>
           <artifactId>build-helper-maven-plugin</artifactId>
-          <version>1.9.1</version>
+          <version>3.0.0</version>
         </plugin>
         <plugin>
           <groupId>org.codehaus.mojo</groupId>
@@ -731,9 +726,10 @@
           </configuration>
         </plugin>
         <plugin>
+          <!-- version 1.6.0 is broken; see https://github.com/mojohaus/exec-maven-plugin/issues/75
-->
           <groupId>org.codehaus.mojo</groupId>
           <artifactId>exec-maven-plugin</artifactId>
-          <version>1.4.0</version>
+          <version>1.5.0</version>
         </plugin>
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
@@ -744,7 +740,7 @@
                 <version>[${maven.compiler.target},)</version>
               </requireJavaVersion>
               <requireMavenVersion>
-                <version>[${maven.min-version},)</version>
+                <version>[3.0.5,)</version>
               </requireMavenVersion>
               <requireProperty>
                 <property>hadoop.profile</property>
@@ -764,7 +760,7 @@
             <dependency>
               <groupId>org.codehaus.mojo</groupId>
               <artifactId>animal-sniffer-enforcer-rule</artifactId>
-              <version>1.15</version>
+              <version>1.16</version>
             </dependency>
           </dependencies>
         </plugin>
@@ -772,12 +768,12 @@
           <!-- Allows us to get the apache-ds bundle artifacts -->
           <groupId>org.apache.felix</groupId>
           <artifactId>maven-bundle-plugin</artifactId>
-          <version>2.5.3</version>
+          <version>3.5.0</version>
         </plugin>
         <plugin>
           <groupId>net.revelc.code</groupId>
           <artifactId>apilyzer-maven-plugin</artifactId>
-          <version>1.0.1</version>
+          <version>1.2.0</version>
         </plugin>
         <plugin>
           <groupId>com.googlecode.maven-java-formatter-plugin</groupId>
@@ -823,9 +819,10 @@
           </configuration>
         </plugin>
         <plugin>
+          <!-- this plugin requires java 1.8 and should only be used in a jdk8 profile
-->
           <groupId>net.revelc.code</groupId>
           <artifactId>impsort-maven-plugin</artifactId>
-          <version>1.0.0</version>
+          <version>1.0.1</version>
           <configuration>
             <groups>java.,javax.,org.,com.</groups>
             <excludes>
@@ -999,9 +996,10 @@
         </configuration>
         <dependencies>
           <dependency>
+            <!-- this is the last version which supports java 7 -->
             <groupId>com.puppycrawl.tools</groupId>
             <artifactId>checkstyle</artifactId>
-            <version>6.14.1</version>
+            <version>6.19</version>
           </dependency>
         </dependencies>
         <executions>

-- 
To stop receiving notification emails like this one, please contact
ctubbsii@apache.org.

Mime
View raw message